Skip to main content
Back to API List

Stop Voice Campaign API

Use this API to stop an active Voice campaign for a given stream ID and campaign ID.
MethodPOST
Endpointhttps://{{host}}/campaign/api/v1/public/{{IID}}/campaign/{{campaignId}}?campaignType={{campaignType}}&trigger={{trigger}}
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
IIdThe application ID.string, required
campaignIdUnique identifier of the campaign to trigger.string, required

Query Parameters

ParameterDescriptionType
campaignTypeType of campaign. Use "voice" for voice campaign.string, required
triggerAction to perform. Use "stop" to stop the campaign.string, required

Sample Request

curl --location 'https://{{host}}/campaign/api/v1/public/{{IID}}/campaign/{{campaignId}}?campaignType={{campaignType}}&trigger={{trigger}}' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14b9xxxx' \
--header 'accountId: 67777ce93e25326494e9xxxx' \
--data '{}
'

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
    "status": "Stopped",
    "message": "Campaign Stopped",
    "updatedAt": "2025-06-27T07:13:51.444Z",
    "campaignInstanceId": "cid-dbb5e25-605e-4556-8912-9292181axxxx"
}

Response Body Parameters

ParameterDescriptionType
statusIndicates the current status of the campaign. For example, Stoppedstring
messageSuccess confirmation message. For example, Campaign Stoppedstring
updatedAtISO timestamp when the campaign was activated.string
campaignInstanceIdID of the specific campaign instance that was stopped.string